VERSION 5.00
Begin VB.Form frmTest 
   AutoRedraw      =   -1  'True
   Caption         =   "Test"
   ClientHeight    =   5385
   ClientLeft      =   4305
   ClientTop       =   1125
   ClientWidth     =   9720
   BeginProperty Font 
      Name            =   "Courier New"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "Form1"
   ScaleHeight     =   5385
   ScaleWidth      =   9720
   Begin VB.CommandButton cmdExit 
      Caption         =   "Exit"
      Height          =   495
      Left            =   6960
      TabIndex        =   2
      Top             =   4680
      Width           =   1875
   End
   Begin VB.CommandButton cmdClear 
      Caption         =   "Clear"
      Height          =   495
      Left            =   3660
      TabIndex        =   1
      Top             =   4680
      Width           =   1875
   End
   Begin VB.CommandButton cmdTryIt 
      Caption         =   "Try It"
      Height          =   495
      Left            =   360
      TabIndex        =   0
      Top             =   4680
      Width           =   1875
   End
End
Attribute VB_Name = "frmTest"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit


Private Sub cmdClear_Click()
    Cls
End Sub


Private Sub cmdExit_Click()
    End
End Sub

Private Sub cmdTryIt_Click()

    Print "Hours", " Base Rate", "  O/T Rate", " Base Pay", "   O/T Pay", " Gross Pay"
    Print "-----", " ---------", "  --------", " --------", "   -------", " ---------"

    CalcGrossPay                ' Default all three arguments
    CalcGrossPay 25             ' Default rightmost two arguments
    CalcGrossPay 42, 30         ' Default rightmost argument
    CalcGrossPay 43, 28, 1.1    ' Pass all three arguments
    CalcGrossPay 40, , 1        ' Default second argument
    CalcGrossPay , 37           ' Default first and third arguments
    CalcGrossPay , , 1.25       ' Default first two arguments

End Sub
    
Private Sub CalcGrossPay(Optional pvntHoursWorked As Variant, _
                         Optional pvntBaseHourlyRate As Variant, _
                         Optional pvntOvertimeRate As Variant)

    Dim sngBasePay As Single
    Dim sngOvertimePay As Single
    Dim sngGrossPay As Single

    If IsMissing(pvntHoursWorked) Then pvntHoursWorked = 40
    If IsMissing(pvntBaseHourlyRate) Then pvntBaseHourlyRate = 35
    If IsMissing(pvntOvertimeRate) Then pvntOvertimeRate = 1.5

    If pvntHoursWorked <= 40 Then
        sngBasePay = pvntBaseHourlyRate * pvntHoursWorked
        sngOvertimePay = 0
    Else
        sngBasePay = pvntBaseHourlyRate * 40
        sngOvertimePay = (pvntHoursWorked - 40) _
                       * pvntBaseHourlyRate _
                       * pvntOvertimeRate
    End If

    sngGrossPay = sngBasePay + sngOvertimePay
          

    Print pvntHoursWorked, _
          Format$(Format$(pvntBaseHourlyRate, "Fixed"), "@@@@@@@@@@"), _
          Format$(Format$(pvntOvertimeRate, "Fixed"), "@@@@@@@@@@"), _
          Format$(Format$(sngBasePay, "Currency"), "@@@@@@@@@@"), _
          Format$(Format$(sngOvertimePay, "Currency"), "@@@@@@@@@@"), _
          Format$(Format$(sngGrossPay, "Currency"), "@@@@@@@@@@")
         
End Sub

